Apache 2.4 SSI

Alles, was den Apache betrifft, kann hier besprochen werden.

Apache 2.4 SSI

Postby Guenife » 01. October 2016 12:04

XAMPP Version: 5.6.14
Apache 2.4.17.0
Betrifft: Modul SSI

Hallo,
auf dem Wissenschaftsportal http://www.journascience.org/de/index.shtml erscheinen seit dem Server-Update auf Apache 2.4 an vier Positionen Fehlermeldungen.
Erzeugt werden sie durch diese Skriptzeilen:
/<!--#if expr="$QUERY_STRING != 'print'" -->/
/<!--#endif -->/

Sie haben seit mehr als einem Jahrzehnt (bis zum Server-Update) für den Druck optimierte Seiten generiert, indem sie die per SSI eingefügten Seitenteile Header, Footer, Navigation links und rechts ausgeblendet (dafür steht das Ausrufezeichen) haben.
Mangels tieferer Kenntnisse - bin ausserdem seit vielen Jahren "aus dem Geschäft" - wäre ich für einen konkreten Hinweis auf geänderte Syntax o.ä. dankbar.
Guenife
 
Posts: 4
Joined: 11. August 2015 09:01
Operating System: windows 10

Re: Apache 2.4 SSI

Postby Altrea » 01. October 2016 13:57

Hallo,

Generell würde ich sagen wird es Zeit auf etwas moderneres umzusteigen. SSI ist nicht (mehr) Wirklich weit verbreiten.

Aber versuche es mal so:

Code: Select all
/<!--#if expr="%{QUERY_STRING} != 'print'" -->/
/<!--#endif -->/


Mit freundlichen Grüßen,
Altrea
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8299
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Apache 2.4 SSI

Postby Nobbie » 01. October 2016 17:00

Das ist ein grundsätzliches Problem, wenn man "einfach mal so" ein Upgrade macht. Mit Apache 2.3.13 hat eines Syntaxänderung (in mod_include) gegeben, hier ist ein Beitrag aus einem anderen Forum inkl. Lösungsansätze (entweder die Syntax anpassen oder die entsprechende Kompatibilitätsoption in httpd.conf setzen):

http://stackoverflow.com/questions/1456 ... -variables

Guenife wrote:wäre ich für einen konkreten Hinweis auf geänderte Syntax o.ä. dankbar.


s.o.
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04

Re: Apache 2.4 SSI

Postby Guenife » 01. October 2016 18:43

Hallo Altrea,

deinen Vorschlag zur geänderten Syntax fand ich in der Link-Empfehlung von Nobbi bestätigt; die Fehlermeldung erscheint nicht mehr (auf meinem lokalen Server) - schönen Dank an euch beide.

Diese Zeile
<!--#echo var="DOCUMENT_URI" -->?print
innerhalb
<a href="<!--#echo var="DOCUMENT_URI" -->?print" class="leftnavi" target="_blank">&nbsp;Druckversion&nbsp;</a>
sollte nun - wie bisher - die druckoptimierte Seite generieren. Auch das funktioniert nicht mehr. Es wird die komplette Seite mit allen Includes im neuen Fenster angezeigt.
Vielleicht bekomme ich auch dazu eine Tipp?!

Ich muss das Portal noch ein paar Wochen am Leben erhalten, dann heisst es entweder Exitus oder wir müssen in der Tat "auf etwas moderneres umsteigen".

Nochmals schönen Dank.

Guenife
Guenife
 
Posts: 4
Joined: 11. August 2015 09:01
Operating System: windows 10

Re: Apache 2.4 SSI

Postby Nobbie » 01. October 2016 19:33

Guenife wrote:Ich muss das Portal noch ein paar Wochen am Leben erhalten, dann heisst es entweder Exitus oder wir müssen in der Tat "auf etwas moderneres umsteigen".


Dann erleichtere ich die Entscheidung: ich selbst gebe keinen Support für Steinzeitmüll wie SSI.
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04

Re: Apache 2.4 SSI

Postby Altrea » 01. October 2016 19:59

Wenn es nur um ein paar Wochen geht, dann installiere dir doch eine ältere Umgebung wo dies die paar Wochen noch laufen kann.

Das Problem selbst können wir schwerlich debuggen ohne ein vollständiges Beispiel zum Testen zu haben.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 8299
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Apache 2.4 SSI

Postby Nobbie » 01. October 2016 20:31

Zugegebenermaßen verstehe ich das Problem nicht so wirklich - es gibt eine Kompatibiltätsoption, auf die habe ich auch noch explizit hingewiesen (für ganz Blinde kann ich sie auch noch nennen: "SSILegacyExprParser on"), was muss noch geschehen, dass diese einfache Lösung ihren Weg findet??
Nobbie
 
Posts: 8779
Joined: 09. March 2008 13:04


Return to Apache

Who is online

Users browsing this forum: No registered users and 3 guests